phing-parser

# Class: PhingXMLContext Source Location: /parser/PhingXMLContext.php
### Class Overview
Track the current state of the Xml parse operation. #### Author(s): Bryan Davis <bpd@keynetics.com> #### Version: $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $ | ### Methods __construct addImport endConfigure getConfigurator getImportStack getProject startConfigure
### Class Details [line 30] Track the current state of the Xml parse operation. #### Tags:
author: | Bryan Davis <bpd@keynetics.com>
version: | $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $
access: | public
[ Top ] ### Class Methods ### constructor __construct [line 36]
`PhingXMLContext __construct( $project $project)`
Constructor #### Tags:
access: | public
#### Parameters:
$project | $project | the project to which this antxml context belongs to
[ Top ] ### method addImport [line 65]
`void addImport( $file)`
#### Tags:
access: | public
#### Parameters:
| $file |
[ Top ] ### method endConfigure [line 49]
`void endConfigure( )`
#### Tags:
access: | public
[ Top ] ### method getConfigurator [line 53]
`void getConfigurator( )`
#### Tags:
access: | public
[ Top ] ### method getImportStack [line 69]
`void getImportStack( )`
#### Tags:
access: | public
[ Top ] ### method getProject [line 77]
`project getProject( )`
find out the project to which this context belongs #### Tags:
access: | public
[ Top ] ### method startConfigure [line 45]
`void startConfigure( $cfg)`
#### Tags:
access: | public
#### Parameters:
| $cfg |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:36 +0200 by phpDocumentor 1.4.3